Labels
Create a label
Create a label in the account
POST
/
api
/
v1
/
accounts
/
{account_id}
/
labels
Create a label
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "support",
"description": "Conversations that need support follow-up",
"color": "#1f93ff",
"show_on_sidebar": true
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/labels"
payload = {
"title": "support",
"description": "Conversations that need support follow-up",
"color": "#1f93ff",
"show_on_sidebar": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'support',
description: 'Conversations that need support follow-up',
color: '#1f93ff',
show_on_sidebar: true
})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'support',
'description' => 'Conversations that need support follow-up',
'color' => '#1f93ff',
'show_on_sidebar' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/labels"
payload := strings.NewReader("{\n \"title\": \"support\",\n \"description\": \"Conversations that need support follow-up\",\n \"color\": \"#1f93ff\",\n \"show_on_sidebar\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.chatwoot.com/api/v1/accounts/{account_id}/labels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"support\",\n \"description\": \"Conversations that need support follow-up\",\n \"color\": \"#1f93ff\",\n \"show_on_sidebar\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"support\",\n \"description\": \"Conversations that need support follow-up\",\n \"color\": \"#1f93ff\",\n \"show_on_sidebar\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"title": "<string>",
"description": "<string>",
"color": "<string>",
"show_on_sidebar": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthuserApiKey
Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
Path Parameters
The numeric ID of the account
Body
application/json
⌘I
Create a label
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "support",
"description": "Conversations that need support follow-up",
"color": "#1f93ff",
"show_on_sidebar": true
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/labels"
payload = {
"title": "support",
"description": "Conversations that need support follow-up",
"color": "#1f93ff",
"show_on_sidebar": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'support',
description: 'Conversations that need support follow-up',
color: '#1f93ff',
show_on_sidebar: true
})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'support',
'description' => 'Conversations that need support follow-up',
'color' => '#1f93ff',
'show_on_sidebar' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/labels"
payload := strings.NewReader("{\n \"title\": \"support\",\n \"description\": \"Conversations that need support follow-up\",\n \"color\": \"#1f93ff\",\n \"show_on_sidebar\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.chatwoot.com/api/v1/accounts/{account_id}/labels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"support\",\n \"description\": \"Conversations that need support follow-up\",\n \"color\": \"#1f93ff\",\n \"show_on_sidebar\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"support\",\n \"description\": \"Conversations that need support follow-up\",\n \"color\": \"#1f93ff\",\n \"show_on_sidebar\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"title": "<string>",
"description": "<string>",
"color": "<string>",
"show_on_sidebar": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
